package com.cxy.classroll.student.service;

import com.cxy.classroll.model.entity.User;
import com.cxy.classroll.model.form.AuthenticationForm;
import com.cxy.classroll.model.vo.IdentifyAndID;

import java.util.List;

public interface CommonWebService {
    IdentifyAndID login(String code);

    Boolean authentication(AuthenticationForm authenticationForm);

    User getUserInfo(Long id);

    Boolean studentSignInClass(Long user_id, Long lesson_id);

    Boolean studentSignOutClass(Long user_id, Long lesson_id);

    Integer listenLessonStatus(Long lesson_id);

    Integer listenLessonRoll(Long lesson_id);

    String classRoll(Long lesson_id, int roll_method);

    List<User> scoreRank();

    Boolean teacherComment(Long lesosn_id, String student_no, int score);

    List<String> leesonStudentNoList(Long lesson_id);
}
